Bug 14862 - s-povray from Povray 3.1g crashes Xfree86
s-povray from Povray 3.1g crashes Xfree86
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Preston Brown
Winston rc1
Depends On:
  Show dependency treegraph
Reported: 2000-07-30 17:09 EDT by Suhaib Siddiqi
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-07-31 10:59:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Suhaib Siddiqi 2000-07-30 17:09:16 EDT
I think it is svgalib issue.

If i use s-povray from Povray 3.1g, it causes immediate crash of X-server
(XFree86 4.0.1)

Using x-povray works ok.

Comment 1 Glen Foster 2000-07-30 18:17:42 EDT
This defect is considered MUST-FIX for Winston Release-Candidate #1
Comment 2 Bill Nottingham 2000-07-31 10:56:29 EDT
What card? (I seriously doubt this is going to get fixed
for any release candidate... we don't even ship spovray.
Comment 3 Suhaib Siddiqi 2000-07-31 10:59:02 EDT
GeForce, with XFree86 4.0.1 and NO nvidia drivers... all defaults.
I know you do not ship s-povray.  since s-povray was causing x to crash, I 
thought it might be svga library and worth letting RedHat know.
Comment 4 Preston Brown 2000-09-11 14:55:11 EDT
anything that is setuid (such as spovray) can wreak total havoc with the
hardware directly.  This is why X crashes.

spovray is the culprit here, not X.

Note You need to log in before you can comment on or make changes to this bug.